Mono.Data.Sqlite 4.0.0.0 System.Enum This enum determines how SQLite treats its journal file. By default SQLite will create and delete the journal file when needed during a transaction. However, for some computers running certain filesystem monitoring tools, the rapid creation and deletion of the journal file can cause those programs to fail, or to interfere with SQLite. If a program or virus scanner is interfering with SQLite's journal file, you may receive errors like "unable to open database file" when starting a transaction. If this is happening, you may want to change the default journal mode to Persist.
- Field
  4.0.0.0
  Mono.Data.Sqlite.SQLiteJournalModeEnum The default mode, this causes SQLite to create and destroy the journal file as-needed.
- Field
  4.0.0.0
  Mono.Data.Sqlite.SQLiteJournalModeEnum This option disables the rollback journal entirely. Interrupted transactions or a program crash can cause database corruption in this mode!
- Field
  4.0.0.0
  Mono.Data.Sqlite.SQLiteJournalModeEnum When this is set, SQLite will keep the journal file even after a transaction has completed. It's contents will be erased, and the journal re-used as often as needed. If it is deleted, it will be recreated the next time it is needed.